For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Company Notes

List a company's notes, including attachments with public file URLs.

Use these notes as supporting CRM context for the selected company; this operation does not create or edit notes.

Requires the companies:read scope.

get
Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Path parameters
companyIdstringRequiredPattern: ^COMP-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Responses
200

Successful response.

application/json
get/v1/companies/{companyId}/notes
GET /v1/companies/{companyId}/notes HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "noteId": "text",
      "noteTitle": "text",
      "noteContent": {
        "html": "text",
        "text": "text"
      },
      "attachments": [
        {
          "fileId": "text",
          "filePath": "text",
          "label": "text"
        }
      ],
      "createdAt": "text",
      "modifiedAt": "text"
    }
  ]
}

Last updated

Was this helpful?